%define momorel 5

Summary: A graphics library for drawing .gif files.
Name: gd
Version: 2.0.11
Release: %{momorel}m
Source: http://www.boutell.com/gd/http/%{name}-%{version}.tar.gz
NoSource: 0
License: BSD
Group: System Environment/Libraries
URL: http://www.boutell.com/gd/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: freetype-devel
BuildPreReq: zlib-devel >= 1.1.4-5m
BuildPreReq: libjpeg-devel, freetype2-devel, XFree86-devel
BuildPreReq: libpng-devel >= 1.2.2
Requires: freetype, libjpeg, freetype2, XFree86-libs, libpng
Requires: zlib >= 1.1.4-5m

%changelog
* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.11-5m)
- revised spec for enabling rpm 4.2.

* Sat Oct 11 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (2.0.11-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Tue Apr 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.11-3m)
- rebuild against zlib 1.1.4-5m

* Wed Feb 26 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.11-2m)
- change macro inst_prefix to _prefix and delete inst_prefix
- aggregate BuildPreReq: libpng and libpng-devel
- arrange Requires

* Mon Jan 20 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.11-1m)
- version 2.0.11-1m

* Sat Nov  9 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.8.4-9m)
- rebuild against gcc-3.2 with autoconf-2.53

* Fri May 31 2002 Toru Hoshina <t@kondara.org>
- (1.8.4-8k)
  gd-Makefile: /usr/local ....

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.8.4-6k)
- rebuild against libpng 1.2.2.

* Sun Oct 14 2001 Toru Hoshina <t@kondara.org>
- (1.8.4-4k)
- rebuild against libpng 1.2.0.

* Sun Mar 25 2001 Motonobu Ichimura <famao@kondara.org>
- (1.8.4-3k)
- up to 1.8.4
- now gd supports freetype2
- remove strip section (now rpm does)
- changes Source's URL

* Mon Jul 10 2000 Shingo Akagaki <dora@kondara.org>
- rebuild against libpng-1.0.7

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Mon Jul 03 2000 Motonobu Ichimura <famao@kondara.org>
- remove xpm-devel from BuildPrereq
- add libjpeg-devel to BuildPrereq
- up to 1.8.3

* Sat Feb 19 2000 Motonobu Ichimura <famao@kondara.org>
- fix freetype-ken :-P

* Sun Jan 16 2000 Motonobu Ichimura <famao@kondara.org>
- up to 1.7.3 :-)

* Sun Jan 02 2000 Motonobu Ichimura <famao@kondara.org>
- strip binaries

* Fri Nov 26 1999 Motonobu Ichimura <famao@kondara.org>
- added %defattr

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Oct 17 1999 Norihito Ohmori <nono@kondara.org>
- unuse %{ver} 

* Sat Oct 10 1999 Norihito Ohmori <nono@kondara.org>
- mv libgd.so to -devel package

* Mon Jun 7 1999 Tomohiko Yoshida <kitcho@tk.xaxon.ne.jp>
- Release 4.1
- VFlib -> VFlib2

* Wed Jan 27 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 4 
- /usr/local -> /usr
- small fix in SPEC

* Sat Nov 14 1998 Masahito Yamaga <yamaga@ipc.chiba-u.ac.jp>
- Version 1.3
- Release 3
- update kanji patch  (change to read ENVIRONMENT GD_KANJIFONT)
- when making shared library, VFlib makes dynamic link, 
  so -lgd automatically link  VFlib.

* Mon May 26 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version 1.3
- Release 2
- update kanji patch

* Tue Mar 24 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version 1.3
- Release 1
- GD.kanji.patch-JRPM.gz 
  (based on GD.kanji.patch.gz -- Mitsuhiro Maeda <mitsu@tramp.co.jp>)
- removed script for /etc/ld.so.conf

* Wed Nov 19 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 2nd Release.
- added Distribution: and Vendor: tags
- added script for /etc/ld.so.conf at %post 
- changed Group: to Extensions/Japanese

* Mon Jul 24 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- 1st Release.

%description
Gd is a graphics library for drawing .gif files.  Gd allows your code to
quickly draw images (lines, arcs, text, multiple colors, cutting and
pasting from other images, flood fills) and write out the result as a
.gif file. Gd is particularly useful in web applications, where .gifs
are commonly used as inline images.  Note, however, that gd is not a
paint program.

Install gd if you are developing applications which need to draw .gif
files.  If you install gd, you'll also need to install the gd-devel
package.

%package devel
Requires: gd = %{PACKAGE_VERSION}
Summary: The development libraries and header files for gd.
Group: Development/Libraries

%description devel
These are the development libraries and header files for gd, the .gif
graphics library.

If you're installing the gd graphics library, you must install gd-devel.

%prep
rm -rf   %{buildroot}
mkdir -p %{buildroot}%{_prefix}/bin
mkdir -p %{buildroot}%{_prefix}/lib
mkdir -p %{buildroot}%{_prefix}/include

%setup -q

%build
%configure
make
#make all -f Makefile.kondara

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README* COPYING
%doc index.html readme.jpn
%doc gddemo *.png webpng.c pngtogd.c gddemo.c gdtest.c test
%{_bindir}/pngtogd2
%{_bindir}/pngtogd2
%{_bindir}/annotate
%{_bindir}/gdtopng
%{_bindir}/gd2topng
%{_bindir}/gdparttopng
%{_bindir}/gd2copypal
%{_bindir}/webpng
%{_bindir}/bdftogd
%{_bindir}/pngtogd
%{_libdir}/libgd.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/gdlib-config
%{_libdir}/libgd.so
%{_libdir}/libgd.*a
%{_includedir}/*.h
